## com.ibm.lab.soln.sqleditor
Class SQLEditorDocumentProvider

    java.lang.Object
      |
      +--org.eclipse.ui.texteditor.AbstractDocumentProvider
            |
            +--org.eclipse.ui.editors.text.StorageDocumentProvider
                  |
                  +--org.eclipse.ui.editors.text.FileDocumentProvider
                        |
                        +--com.ibm.lab.soln.sqleditor.SQLEditorDocumentProvider

All Implemented Interfaces:
  org.eclipse.ui.texteditor.IDocumentProvider, org.eclipse.ui.texteditor.IDocumentProviderExtension, org.eclipse.ui.editors.text.IStorageDocumentProvider

public class SQLEditorDocumentProvider
extends org.eclipse.ui.editors.text.FileDocumentProvider

This DocumentProvider class, which implements IDocumentProvider, creates and manages the document content. It notifies the editors about changes applied to the document model. The document provider also creates an annotation model on a document. Annotations on a document are seen in the vertical bar to the left of the text window. Book marks and break points are examples of annotations. Document providers manage annotations. The provider also delivers the document input element's IAnnotationModel, the model represents resource markers. The annotation model is used to control the editor's vertical ruler. A document is an abstraction, that is to say, it is not limited to representing text files. However, FileDocumentProvider extends DocumentProvider, and is specialized in that it connects to resource based (IFile) documents

Inner classes inherited from class org.eclipse.ui.editors.text.FileDocumentProvider
`org.eclipse.ui.editors.text.FileDocumentProvider.FileInfo, org.eclipse.ui.editors.text.FileDocumentProvider.FileSynchronizer, org.eclipse.ui.editors.text.FileDocumentProvider.SafeChange`

Inner classes inherited from class org.eclipse.ui.editors.text.StorageDocumentProvider
`org.eclipse.ui.editors.text.StorageDocumentProvider.StorageInfo`

Inner classes inherited from class org.eclipse.ui.texteditor.AbstractDocumentProvider
`org.eclipse.ui.texteditor.AbstractDocumentProvider.ElementInfo`

Fields inherited from class org.eclipse.ui.texteditor.AbstractDocumentProvider
`PR10806_UC5_ENABLED, PR14469_ENABLED, STATUS_ERROR, STATUS_OK`

Constructor Summary
`SQLEditorDocumentProvider()` Constructor for SQLEditorDocumentProvider.

Method Summary
`protected org.eclipse.jface.text.IDocument` | `createDocument(java.lang.Object element)` Creates the document for the given input element and then connects the SQL document partitioner to the document.

Methods inherited from class org.eclipse.ui.editors.text.FileDocumentProvider
`checkSynchronizationState, computeModificationStamp, createAnnotationModel, createElementInfo, disposeElementInfo, doSaveDocument, doValidateState, getElementInfo, getModificationStamp, getSynchronizationStamp, handleElementContentChanged, handleElementDeleted, handleElementMoved, isDeleted, isModifiable, resetDocument, setDocumentContent, setDocumentContent, synchronize`

Methods inherited from class org.eclipse.ui.editors.text.StorageDocumentProvider
`doUpdateStateCache, getDefaultEncoding, getEncoding, handleCoreException, isReadOnly, setDocumentContent, setDocumentContent, setEncoding, updateCache`

Methods inherited from class org.eclipse.ui.texteditor.AbstractDocumentProvider
`aboutToChange, addElementStateListener, addUnchangedElementListeners, canSaveDocument, changed, connect, connected, disconnect, disconnected, fireElementContentAboutToBeReplaced, fireElementContentReplaced, fireElementDeleted, fireElementDirtyStateChanged, fireElementMoved, fireElementStateChangeFailed, fireElementStateChanging, fireElementStateValidationChanged, getAnnotationModel, getConnectedElements, getDocument, getStatus, invalidatesState, isStateValidated, mustSaveDocument, removeElementStateListener, removeUnchangedElementListeners, saveDocument, setCanSaveDocument, updateStateCache, validateState`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLEditorDocumentProvider

    public SQLEditorDocumentProvider()

  Constructor for SQLEditorDocumentProvider.

Method Detail

### createDocument

    protected org.eclipse.jface.text.IDocument createDocument(java.lang.Object element)
                                                       throws org.eclipse.core.runtime.CoreException

  Creates the document for the given input element and then connects the SQL document partitioner to the document.
  Overrides:
    `createDocument` in class `org.eclipse.ui.editors.text.StorageDocumentProvider`
  See Also:
    `AbstractDocumentProvider.createDocument(Object)`